<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="/templates/template.xhtml">
	<ui:define name="content">
        <p:outputLabel value="Motivos de Intervención : "/>
        <p:separator />
    <h:form rendered="#{!motivoIntervencionMB.editMode}">
		<p:commandButton value="Nuevo" action="#{motivoIntervencionMB.reset}" ajax="false"/>
        <p:separator />
        <p:dataTable id="motivosIntervencion" var="ent" value="#{motivoIntervencionMB.list}" widgetVar="tablaMotivosIntervencion"
                 emptyMessage="No hay resultados para esa busqueda">
            
            <f:facet name="header">
	            <p:outputPanel>
	                <p:outputLabel value="Buscar por Motivo:" />
	                <p:inputText id="globalFilter" onkeyup="PF('tablaMotivosIntervencion').filter()" style="width:250px" placeholder="Ingrese su busqueda..."/>
	            </p:outputPanel>
        	</f:facet>
            
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Derecho Afectado" />
                </f:facet>
                <p:outputLabel value="#{ent.derechoAfectado.descripcion}" />
            </p:column>            

            <p:column filterBy="#{ent.descripcion}" headerText="Motivo" filterMatchMode="contains">
                <p:outputLabel value="#{ent.descripcion}" />
            </p:column>

            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Editar" />
                </f:facet>
                <p:commandButton id="edit" action="#{motivoIntervencionMB.edit(ent)}" icon="ui-icon-pencil" ajax="false">
                </p:commandButton>
            </p:column>
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Borrar" />
                </f:facet>
				<p:commandButton id="delete" icon="ui-icon-trash" update=":header-form:messages motivosIntervencion" action="#{motivoIntervencionMB.delete(ent)}">
                	<p:confirm header="Atención" message="Está seguro que desea borrar el Motivo Intervención?" icon="ui-icon-alert" />
                </p:commandButton>
            </p:column>            
            
        </p:dataTable>
        <p:separator />
		<p:commandButton id="add" value="Nuevo" action="#{motivoIntervencionMB.reset}" ajax="false"/>
		<p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
        	<p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
        	<p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
    	</p:confirmDialog> 
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>  
    </h:form>
    <h:form rendered="#{motivoIntervencionMB.editMode}">
        <p:panelGrid columns="3" >
        
                <p:outputLabel for="derAfec" value="Derecho Afectado :"/>
           		<p:selectOneMenu id="derAfec" value="#{motivoIntervencionMB.instance.derechoAfectado}" converter="derechoAfectadoConverter" label="Derecho Afectado" required="true">
                		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
                		<f:selectItems value="#{commonSelectorsMB.getDerechosAfectados(motivoIntervencionMB.instance.derechoAfectado)}" var="derechoAfectado"
                               itemValue="#{derechoAfectado}"
                               itemLabel="#{derechoAfectado.descripcion}"/>
            		</p:selectOneMenu>
                <p:message  for="derAfec" display="icon"/>
                
                <p:outputLabel for="iiCategoMotivoInte" value="Categoría Motivo Intervención :"/>
	       		<p:selectOneMenu id="iiCategoMotivoInte" value="#{motivoIntervencionMB.instance.categoriaMotivoIntervencion}" converter="categoriaMotivoIntervencionConverter"
	       				>
	           		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
	           		<f:selectItems value="#{commonSelectorsMB.categoriasMotivoIntervencion}" var="cat"
	                          itemValue="#{cat}"
	                          itemLabel="#{cat.descripcion}"/>
	       		</p:selectOneMenu>
       			<p:message  for="iiCategoMotivoInte" display="icon"/>
            
                <p:outputLabel for="nombre" value="Motivos de Intervención : " />
                <p:inputText id="nombre" value="#{motivoIntervencionMB.instance.descripcion}" label="Motivo" required="true"/>
                <p:message  for="nombre" display="icon"/>
                
            
		</p:panelGrid>
        <p:commandButton id="add" value="Guardar" action="#{motivoIntervencionMB.save}" ajax="false"/>
        <p:commandButton id="cancel" value="Cancelar" action="#{motivoIntervencionMB.cancel}" ajax="false" immediate="true"/>
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </h:form>
	</ui:define>
</ui:composition>
